package handlers

import (
	"net/http"
	"text/template"

	"github.com/julienschmidt/httprouter"
)

func LabelsHandler() httprouter.Handle {
	type PageView struct {
		Label12  string
		Label345 string
	}
	return func(w http.ResponseWriter, r *http.Request, ps httprouter.Params) {

		la := `data:image/png;base64,[encoded data, 55304 characters]`

		view := &PageView{
			Label12: la,
		}
		t, _ := template.ParseFiles("templates/base.html", "templates/labels.html")
		err := t.Execute(w, view)
		if err != nil {
			http.Error(w, err.Error(), http.StatusInternalServerError)
			return
		}
	}
}
